<template>
  <md-app v-if="collection">
    <md-app-drawer class="md-scrollbar sorts-and-filters-drawer" md-permanent="full">
      <md-toolbar class="md-transparent" md-elevation="0">
        <div class="md-toolbar-section-start">
          <span class="md-title">{{collection.title}}</span>
        </div>
        <div class="md-toolbar-section-end">
          <md-menu md-size="medium" md-direction="bottom-end">
            <md-button class="md-icon-button" md-menu-trigger>
              <md-icon aria-label="Collection menu">settings</md-icon>
            </md-button>
            <md-menu-content>
              <md-menu-item @click="showRemoveDialog = true">
                <span>Remove</span>
                <md-icon>delete</md-icon>
              </md-menu-item>
            </md-menu-content>
          </md-menu>
        </div>
      </md-toolbar>
      <md-content></md-content>
    </md-app-drawer>
    <md-app-content>
      <md-dialog-confirm :md-active.sync="showRemoveDialog"
        md-title="Remove the collection ?"
        md-confirm-text="Remove"
        md-cancel-text="Cancel"
        @md-cancel="showRemoveDialog = false"
        @md-confirm="remove"/>
    </md-app-content>
  </md-app>
  <md-empty-state
    md-icon="sentiment_dissatisfied"
    md-label="Collection not found"
    md-description="This collection does not exist or has been deleted by its owner"
    v-else-if="areCollectionsLoaded">
    <md-button class="md-primary md-raised" :to="{ name: 'collections' }">Back to collections</md-button>
  </md-empty-state>
  <md-empty-state md-description="Loading collection" v-else>
    <md-progress-spinner md-mode="indeterminate"></md-progress-spinner>
  </md-empty-state>
</template>

<script>
import store from '@/store';

export default {
  data() {
    return {
      showRemoveDialog: false,
    };
  },
  computed: {
    areCollectionsLoaded() {
      return this.$store.state.firebase.areCollectionsLoaded;
    },
    collection() {
      return this.$store.state.firebase.collections.find((collection) => collection.id === this.$route.params.id);
    },
  },
  methods: {
    remove() {
      this.showRemoveDialog = false;
    },
  },
};
</script>
